import { ServerResponse } from "http";
import { APIResponseObject } from "../../../types";
type Params = {
    database: string;
    httpResponse: APIResponseObject;
    response?: ServerResponse & {
        [s: string]: any;
    };
    encryptionKey?: string;
    encryptionSalt?: string;
    debug?: boolean;
    skipWriteAuthFile?: boolean;
    token?: boolean;
    cleanupTokens?: boolean;
    secureCookie?: boolean;
};
/**
 * # Login A user
 */
export default function postLoginResponseHandler({ database, httpResponse, response, encryptionKey, encryptionSalt, debug, token, skipWriteAuthFile, cleanupTokens, secureCookie, }: Params): boolean;
export {};
